Re: [qubes-users] Workaround for building Ubuntu xenial+desktop with qubes-builder

2017-01-30 Thread Andrew M
Thanks Unman,

This bug is currently affecting my work so it would be greatly
appreciated if it were resolved :)


On 01/29/2017 06:38 PM, Unman wrote:
> On Sat, Jan 28, 2017 at 12:31:38PM +, Nick Darren wrote:
>> /Hi all,/
>>
>>
>> On 01/24/2017 06:59 AM, anoa wrote:
>>> Hey all,
>>>
>>> Today I was trying to build the Ubuntu 16.04 Xenial+Desktop template
>>> using qubes-builder with help from these instructions:
>>>
>>> https://github.com/QubesOS/qubes-builder
>>>
>>> Everything was alright until the `make qubes-vm` step where it would
>>> fail on the following:
>>>
 dpkg-source: error: can't build with source format '3.0 (quilt)': no 
 upstream tarball found at ../xen_4.6.3.orig.tar.{bz2,gz,lzma,xz}
 dpkg-buildpackage: error: dpkg-source -b debian-vm gave error exit status 
 255
 /home/user/qubes-builder/qubes-src/builder-debian/Makefile.qubuntu:196: 
 recipe for target 'dist-package' failed
>>> The build was looking for xen_4.6.3 when in fact xen_4.6.4 is in the
>>> folder. As a workaround, simply copying the xen_4.6.4 to be named
>>> xen.4.6.3 allowed the build to continue and eventually complete
>>> successfully:
>>>
 cd /path/to/qubes-builder/chroot-xenial/home/user/qubes-src/vmm-xen; sudo 
 cp -pr ./xen_4.6.4.orig.tar.gz ./xen_4.6.3.orig.tar.gz
>> /It doesn't work by just rename the 'xen_4.6.4.orig.tar.gz' on
>> chroot-xenial. On my case (on testing to build xenial-desktop) needs to
>> copy the file to /path/to/qubes-builder/qubes-src/vmm-xen/. there. Then,
>> it will skip the error message and allowed the build successfully./
>>
>>> Hope this helps someone while the script is being updated.
>>>
>> /I have another weird situation. The build was succeed but the problem
>> is, terminal and some others application cannot be launched due to an
>> error, normally on ubuntu's standard installation caused by locales
>> issue. Tried to fix it the way it used to be on normal ubuntu
>> installation or archlinux. But the problem still persists after
>> rebooting the template-vm or any appvms that's based on it./
>>
>> user@ubuntu-xenial:~$ Error constructing proxy for
>> org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling
>> StartServiceByName for org.gnome.Terminal:
>> GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process
>> org.gnome.Terminal received signal 5
>>
>> /Test on executing gedit from xterm/UXterm/urvtx:/
>>
>> user@ubuntu-xenial:~$ gedit
>> Gedit failure to execute.
>> (gedit:5697): GLib-GIO-ERROR **: No GSettings schemas are installed on
>> the system
>> Trace/breakpoint trap (core dumped)
>>
>>
>> /The same error happen when I execute the 'xfce4-terminal' or
>> 'terminator'. Still the same 'Trace/breakpoint trap (core dumped)'
>> issues here and there./
>>
>>
>> 
>>
>> /Locale was set in order to avoid gnome-terminal error, but it' useless
>> on this case and still failed to work./
>>
>> user@ubuntu-xenial:~$ localectl
>>System Locale: LANG=en_US.UTF-8
>>VC Keymap: us
>>   X11 Layout: us
>>X11 Model: pc105+inet
>>  X11 Options: terminate:ctrl_alt_bksp
>>
>> 
>>
>> /On checking qubes local packages installed on the 'xenial-desktop' system.
>> /
>> libqubes-rpc-filecopy2/now 3.2.3+xenialu1 amd64 [installed,local]
>>   Qubes file copy protocol library
>>
>> libqubesdb/now 3.2.3-1+xenialu1 amd64 [installed,local]
>>   QubesDB libs.
>>
>> libvchan-xen/now 3.2.0-1+xenialu1 amd64 [installed,local]
>>   Qubes Xen core libraries
>>
>> libxen-4.6/now 2001:4.6.3-25+xenialu1 amd64 [installed,local]
>>   Libraries for Xen tools
>>
>> qubes-core-agent/now 3.2.15-1+xenialu1 amd64 [installed,local]
>>   Qubes core agent
>>
>> qubes-gui-agent/now 3.2.13-1+xenialu1 amd64 [installed,local]
>>   Makes X11 windows available to qubes dom0
>>
>> qubes-utils/now 3.2.3+xenialu1 amd64 [installed,local]
>>   Qubes Linux utilities
>>
>> qubesdb/now 3.2.3-1+xenialu1 amd64 [installed,local]
>>   QubesDB management tools and daemon.
>>
>> qubesdb-vm/now 3.2.3-1+xenialu1 amd64 [installed,local]
>>   QubesDB VM service.
>>
>> xserver-xorg-input-qubes/now 3.2.13-1+xenialu1 amd64 [installed,local]
>>   X input driver for injecting events from qubes-gui-agent
>>
>> xserver-xorg-video-dummyqbs/now 3.2.13-1+xenialu1 amd64 [installed,local]
>>   Dummy X video driver for qubes-gui-agent
>>
>> --
>>
>> /So, I would like to know if there's any errors like above happened to
>> you guys too? Or is it me the only person? If it was just me facing the
>> issues, then I would like to know if any missing qubes packaged that's
>> not listed on my side shown like above? You can just check your qubes
>> packages to confirm if any difference spotted on your side by apt search
>> qubes or dpkg-query -l | grep qubes.//Any help will be appreciated to
>> spot where the culprits are.
>> //
>>
>> //Thanks./
>>
> The error with Xen version affects all Debian builds - it isnt Ubuntu
> specific. That's interesting, because it 

[qubes-users] HCL - Lenovo Thinkpad T540p

2016-12-09 Thread Andrew M
Everything works well. Some small inconsistencies between the VMs in 
terms of HiDPI scaling

but that is more an application issue rather than qubes specifically.

Suspend, Audio, Brightness all work.

Shutting down takes ages, and I often have to force shut-down after ~5m, 
though I see other

users with the same problem so unknown if hardware specific.

Install had to be done using BIOS/Legacy method, install USB would not 
boot otherwise.


Overall really happy with it :)

--
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To post to this group, send email to qubes-users@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/3845ae3a-afaa-318a-cb37-86ab934d312a%40openmailbox.org.
For more options, visit https://groups.google.com/d/optout.


Qubes-HCL-LENOVO-20BECTO1WW-20161210-024247.yml
Description: application/yaml